# FreezeBalance

**Body params**:&#x20;

* `owner_address` - Owner address, default hexString
* `frozen_balance` - TRX stake amount, the unit is sun
* `frozen_duration` - TRX stake duration, only be specified as 3 days
* `resource` - TRX stake type, 'BANDWIDTH' or 'ENERGY'
* `receiver_address` - Optional,the address that will receive the resource, default hexString
* `permission_id` - Optional, for multi-signature use
* `visible` - Optional. Defaults to false. Whether addresses are in base58check format.

**Request**

```
curl --request POST \
     --url https://tron.api.watchdata.io/wallet/freezebalance \
     --header 'Accept: application/json' \
     --header 'Content-Type: application/json' \
     --data '
{
     "owner_address": "4100776428620856AE1D71562812B734E356B68551",
     "frozen_balance": 10000000,
     "frozen_duration": 3,
     "resource": "ENERGY"
}
'
```

**Response**

```
{
  "visible": false,
  "txID": "efb6ff6dba6e5998d7258a63436e4717428892f02df2adb6deea8550d36e5e34",
  "raw_data": {
    "contract": [
      {
        "parameter": {
          "value": {
            "resource": "ENERGY",
            "frozen_duration": 3,
            "frozen_balance": 10000000,
            "owner_address": "4100776428620856ae1d71562812b734e356b68551"
          },
          "type_url": "type.googleapis.com/protocol.FreezeBalanceContract"
        },
        "type": "FreezeBalanceContract"
      }
    ],
    "ref_block_bytes": "3041",
    "ref_block_hash": "3d1b89e6c7c34b52",
    "expiration": 1649176881000,
    "timestamp": 1649176821557
  },
  "raw_data_hex": "0a02304122083d1b89e6c7c34b5240e8cee8d4ff2f5a5a080b12560a32747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e467265657a6542616c616e6365436f6e747261637412200a154100776428620856ae1d71562812b734e356b685511080ade2041803500170b5fee4d4ff2f"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.watchdata.io/blockchain-apis/tron-api/account-resources/freezebalance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
